package io.hmit.modules.fhjw.service;

import io.hmit.common.page.PageData;
import io.hmit.common.service.CrudService;
import io.hmit.modules.fhjw.dto.UserDTO;
import io.hmit.modules.fhjw.entity.UserEntity;

import java.util.List;
import java.util.Map;

/**
 * 用户
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-03
 */
public interface UserService extends CrudService<UserEntity, UserDTO> {

    @Override
    PageData<UserDTO> page(Map<String, Object> params);

    @Override
    UserDTO get(Long id);

    PageData<UserDTO> getUserPageByCase(Map<String, Object> params);

    /**
     * 在userDTO中添加用户权限信息
     * @param params
     * @return
     */
    List<UserDTO> dtoAddUserRole(Map<String, Object> params);


    @Override
    void save(UserDTO dto);

    @Override
    void update(UserDTO dto);

    @Override
    void delete(Long[] ids);
}
